#include <iostream>
#include <cmath>
#include <algorithm>
using namespace std;
int niz1[1000000];
int niz2[1000000];
int niz3[1000000];
int main()
{
    int n,m;
    cin>>n>>m;
    int i=1;
    while(i<=n)
    {
        cin>>niz1[i];
        i++;
    }
    int l=1;
    int suma=0;
    while(l<=m)
    {
        cin>>niz2[l]>>niz3[l];
        suma=suma+abs(niz1[niz2[l]]+niz1[niz3[l]]);




        l++;

    }
    cout<<suma;
}